Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454402 - Application icon not fully themable (patch attached)
Summary: Application icon not fully themable (patch attached)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-firewall
Version: 10
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-08 09:55 UTC by Martin Sourada
Modified: 2009-11-11 14:58 UTC (History)
0 users

Fixed In Version: 1.2.16-3.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-11 14:58:29 UTC


Attachments (Terms of Use)
patch to change the icon name to preferences-system-firewall and lookup it in icon themes (deleted)
2008-07-08 09:55 UTC, Martin Sourada
no flags Details | Diff

Description Martin Sourada 2008-07-08 09:55:51 UTC
Description of problem:
The application .desktop file contains .png in icon reference which blocks icon
themes that use e.g. SVGs to theme this icon in menus. The about dialog seems to
use internal icon, same for app main icon displayed in the window caption.

Version-Release number of selected component (if applicable):
system-config-firewall-1.2.9-1

Resolution:
I attach patch which fixes this and changes the icon name to follow better the
icon naming specification [1] to preferences-system-firewall. If you are not OK
with the name change, just substitue the preferences-system-firewall with
system-config-firewall in the patch.

Thanks in advance for fixing this small issue. This bug is part of the effort of
making Echo Icon Theme included in future Fedora releases as default icon theme.

Comment 1 Martin Sourada 2008-07-08 09:55:51 UTC
Created attachment 311249 [details]
patch to change the icon name to preferences-system-firewall and lookup it in icon themes

Comment 2 Martin Sourada 2008-07-08 10:26:46 UTC
Sorry, I forgot to add the reference so here it is:

[1] http://standards.freedesktop.org/icon-naming-spec/icon-naming-spec-latest.html

Comment 3 Bug Zapper 2008-11-26 02:31:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Fedora Update System 2009-06-03 12:46:35 UTC
system-config-firewall-1.2.16-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/system-config-firewall-1.2.16-3.fc10

Comment 5 Fedora Update System 2009-06-04 21:20:47 UTC
system-config-firewall-1.2.16-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-firewall'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-5928

Comment 6 Fedora Update System 2009-11-11 14:58:09 UTC
system-config-firewall-1.2.16-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.